Subject: Re: bug#16638: I was hoping the Libtool would manage ordering for me

From: "Gary V. Vaughan" <[email-masked]>
Date: Wed, 5 Feb 2014 19:06:30 +1300

Hi Dave,

On Feb 4, 2014, at 8:23 PM, Dave Yost <[email-masked]> wrote:
> Our code base loads .o files in a specified order so that initialization code is called in the desired order.

That's not something I've encountered before. So it must be a C++ thing?

> While looking for this feature in Libtool, I noted that the documentation uses “in order to” many times. Those usages can be streamlined by removing “in order” and just going with “to”.

That's a weird tick I've developed, thanks for pointing it out. Without the benefit of an editor, it's easy to let unnecessary verbiage like that sneak in. Thanks for the reminder, I'll go through and cut where I can.

> If you are interested in putting an ordering feature into Libtool, I bet we could give you our code.

Patches welcome, as always!

Note that the the FSF requires copyright assignments on file before I can push any non-trivial changes. Please contact me off-list if you'd like to get the process started - it takes a few weeks, so is worth doing in case you want to send any patches in future, even if this "in order object files" proposal doesn't go through for some reason.

Cheers,
-- 
Gary V. Vaughan (gary AT vaughan DOT pe)